## amd64-libs 1.0ubuntu3

=== debian/changelog ===
amd64-libs (1.0ubuntu3) warty; urgency=low

  * Use the right distribution this time.

 -- Tollef Fog Heen <tfheen@debian.org>  Fri, 10 Sep 2004 13:21:47 +0200

amd64-libs (1.0ubuntu2) unstable; urgency=low

  * Add || true to grep lines in postrm, in case removal of the package
    empties ld.so.conf completely, causing grep -v to return 1.  (Warty
    bug: #1114)

 -- Tollef Fog Heen <tfheen@raw.no>  Fri, 10 Sep 2004 09:48:16 +0200

amd64-libs (1.0ubuntu1) warty; urgency=low

  * Fix Build-depends for warty.

 -- LaMont Jones <lamont@mmjgroup.com>  Tue, 31 Aug 2004 14:54:06 +0000

amd64-libs (1.0) unstable; urgency=medium

  * New package, derived from ia32-libs.  Substantial bits of the packaging
    implemented by Goswin von Brederlow.

 -- Daniel Jacobowitz <dan@debian.org>  Sun,  8 Aug 2004 01:35:53 -0400
