## amd64-libs 1.0ubuntu3.1

=== debian/changelog ===
amd64-libs (1.0ubuntu3.1) warty-security; urgency=low

  * SECURITY UPDATE: Fix zlib vulnerabilities.
  * Applied recent security patches for included zlib: CAN-2004-0797,
    CAN-2005-1849, CAN-2005-2096.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Fri, 22 Jul 2005 15:56:31 +0000
