=== debian/control ===
Source: amd64-libs
Section: libs
Priority: optional
Maintainer: Daniel Jacobowitz <dan@debian.org>
Build-Depends: debhelper (>> 3.0.0), dpkg-dev (>= 1.10.22ubuntu2)
Standards-Version: 3.6.1.0

Package: amd64-libs
Architecture: i386
Description: Amd64 shared libraries for use on i386/x86_64 systems
 This package contains runtime libraries for the amd64 (x86_64)
 architecture, configured for use on an i386 Debian system running
 a 64-bit kernel.

Package: amd64-libs-dev
Architecture: i386
Depends: amd64-libs (= ${Source-Version})
Description: Amd64 development libraries and headers for use on i386/x86_64 systems
 This package contains headers and development libraries for building
 64-bit amd64 applications on i386 Debian systems.
