## amd64-libs 1.1

=== debian/changelog ===
amd64-libs (1.1) unstable; urgency=medium

  * Handle an empty ld.so.conf when removing amd64-libs (Closes: #277092).

 -- Daniel Jacobowitz <dan@debian.org>  Tue, 19 Oct 2004 13:58:00 -0400
