=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: libs
 Priority: optional
 Maintainer: Daniel Jacobowitz <dan@debian.org>
-Build-Depends: debhelper (>> 3.0.0), dpkg-dev (>= 1.10.22ubuntu2)
+Build-Depends: debhelper (>> 3.0.0), dpkg-dev (>= 1.10.23)
 Standards-Version: 3.6.1.0
 
 Package: amd64-libs
