## amd64-libs 1.4

=== debian/changelog ===
amd64-libs (1.4) unstable; urgency=low

  * Remove zlib and add transitional dependencies (Closes: #334243).

 -- Daniel Jacobowitz <dan@debian.org>  Sun, 16 Oct 2005 11:24:45 -0400

amd64-libs (1.3) unstable; urgency=low

  * Remove glibc, ncurses, and linux-kernel-headers, which now support
    biarch on i386, and add transitional dependencies
    (Closes: #321621, #327766, #324213).
  * Update zlib and bzip2 packages (Closes: #317970).

 -- Daniel Jacobowitz <dan@debian.org>  Fri, 14 Oct 2005 18:20:25 -0400

amd64-libs (1.2) unstable; urgency=high

  * Fix conflicts with linux-kernel-headers 2.6.12.0-1 (Closes: #317501).
  * Update diversions handling for the new diverted files.
  * Change the section of amd64-libs-dev to libdevel.

 -- Daniel Jacobowitz <dan@debian.org>  Sat,  9 Jul 2005 13:44:03 -0400
