=== debian/control ===
Source: amd64-libs
Section: libs
Priority: optional
Maintainer: Daniel Jacobowitz <dan@debian.org>
Build-Depends: debhelper (>> 3.0.0), dpkg-dev (>= 1.10.23)
Standards-Version: 3.6.2.0

Package: amd64-libs
Architecture: i386
Depends: lib64gcc1, libc6-amd64, lib64ncurses5, lib64z1
Description: Amd64 shared libraries for use on i386/x86_64 systems
 This package contains runtime libraries for the amd64 (x86_64)
 architecture, configured for use on an i386 Debian system running
 a 64-bit kernel.

Package: amd64-libs-dev
Section: libdevel
Architecture: i386
Depends: amd64-libs (= ${Source-Version}), libc6-dev-amd64, lib64ncurses5-dev, lib64z1-dev
Description: Amd64 development libraries and headers for use on i386/x86_64 systems
 This package contains headers and development libraries for building
 64-bit amd64 applications on i386 Debian systems.
