=== debian/rules ===
#!/usr/bin/make -f

export DH_COMPAT=3

# Lowest version with fully ABI compatible libraries
SHLIB_VERSION=0.2

build:

clean:
	dh_testdir
	dh_testroot
	rm -rf DEBIAN
	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs

# Extract all debs
	for i in `cd pkgs ; /bin/ls *.deb` ; do \
		dpkg-deb -x pkgs/$$i debian/amd64-libs/ ; done

# Fix up some paths
	mv debian/amd64-libs/usr/lib debian/amd64-libs/usr/lib64

	# No X libs currently included.
	#mv debian/amd64-libs/usr/X11R6/lib debian/amd64-libs/usr/X11R6/lib64
	#rm -rf debian/amd64-libs/usr/X11R6/include

	rm -r debian/amd64-libs/usr/share
	rm -r debian/amd64-libs/usr/include

# Add doc dir and lintian overrides
	mkdir -p debian/amd64-libs/usr/share/doc/amd64-libs
	mkdir -p debian/amd64-libs/usr/share/lintian/overrides
	cp debian/amd64-libs.overrides debian/amd64-libs/usr/share/lintian/overrides/amd64-libs
	mkdir -p debian/amd64-libs-dev/usr/share/lintian/overrides
	cp debian/amd64-libs-dev.overrides debian/amd64-libs-dev/usr/share/lintian/overrides/amd64-libs-dev

# Extract shlibs info
	mkdir debian/amd64-libs/DEBIAN
	dpkg -e pkgs/libbz2-1.0_*deb
	sed "s/libbz2-1.0$$/amd64-libs (>= $(SHLIB_VERSION))/" < DEBIAN/shlibs >>debian/amd64-libs/DEBIAN/shlibs

	# Fix symlinks.
	for link in $$(find debian/amd64-libs -type l); do		\
	  dest=$$(readlink $$link);					\
	  rm -f $$link;							\
	  ln -s $$(echo $$dest | sed 's,/lib/,/lib64/,') $$link;	\
	done

	echo -e "# packages used in the creation of amd64-libs\n" > \
		debian/amd64-libs/usr/share/doc/amd64-libs/Manifest
	(cd pkgs; /bin/ls *.deb) >> debian/amd64-libs/usr/share/doc/amd64-libs/Manifest

	# Separate out development files.
	mkdir -p debian/amd64-libs-dev/usr/share/doc
	ln -s amd64-libs debian/amd64-libs-dev/usr/share/doc/amd64-libs-dev

	mkdir debian/amd64-libs-dev/usr/lib64
	mv debian/amd64-libs/usr/lib64/*.so debian/amd64-libs-dev/usr/lib64
	mv debian/amd64-libs/usr/lib64/*.a debian/amd64-libs-dev/usr/lib64

binary-indep:

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installdocs
	dh_installexamples
	dh_installchangelogs 
#	dh_link
#	dh_strip
	dh_compress
	dh_fixperms --exclude "*/ld-*"
#	dh_makeshlibs
	dh_installdeb
#	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure
