## amd64-libs 1.4+nmu1

=== debian/changelog ===
amd64-libs (1.4+nmu1) unstable; urgency=medium

  * Non-maintainer upload.
  * Fix bashism in debian/rules (Closes: #472908)
  * debian/control:
    - Use ${binary:Version} relationship instead of ${Source-Version}
    - Bump Standards-Version to 3.8.0

 -- Chris Lamb <chris@chris-lamb.co.uk>  Sat, 07 Jun 2008 15:30:16 +0100
