=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Daniel Jacobowitz <dan@debian.org>
 Build-Depends: debhelper (>> 3.0.0), dpkg-dev (>= 1.10.23)
-Standards-Version: 3.6.2.0
+Standards-Version: 3.8.0
 
 Package: amd64-libs
 Architecture: i386
@@ -16,7 +16,7 @@
 Package: amd64-libs-dev
 Section: libdevel
 Architecture: i386
-Depends: amd64-libs (= ${Source-Version}), libc6-dev-amd64, lib64ncurses5-dev, lib64z1-dev
+Depends: amd64-libs (= ${binary:Version}), libc6-dev-amd64, lib64ncurses5-dev, lib64z1-dev
 Description: Amd64 development libraries and headers for use on i386/x86_64 systems
  This package contains headers and development libraries for building
  64-bit amd64 applications on i386 Debian systems.
