=== debian/rules ===
--- 
+++ 
@@ -52,7 +52,7 @@
 	  ln -s $$(echo $$dest | sed 's,/lib/,/lib64/,') $$link;	\
 	done
 
-	echo -e "# packages used in the creation of amd64-libs\n" > \
+	printf "# packages used in the creation of amd64-libs\n\n" > \
 		debian/amd64-libs/usr/share/doc/amd64-libs/Manifest
 	(cd pkgs; /bin/ls *.deb) >> debian/amd64-libs/usr/share/doc/amd64-libs/Manifest
